

Your calculation for LiF is of course for an isolated molecule in the gas phase
..... Li(+) is EXTREMELY electrophilic in the gas phase, and would be expected
to have almost as great a "pull" on a pair of electrons as a fluorine nucleus,
so your result is not chemically surprising at all. CO is another story. Its
dipole moment is almost zero: 0.04 Debyes, if I remember correctly, and any
calculation should show this. I'll take a look through Bader's recent book on
his doctrines, and see if I can come up with an answer !
 Check the gas phase electron affinities of Li(+) and F. The electron affinity
of a fluorine atom in the gas phase (no stabilisation by hydrogen bonding) is
surprisingly low.